#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const update_notifier_1 = __importDefault(require("update-notifier"));
const chalk_1 = __importDefault(require("chalk"));
const commands_1 = require("./commands");
const utils_1 = require("./common/utils");
const Logger_1 = require("./common/Logger");
const pkg = require('./../package.json');
(0, update_notifier_1.default)({ pkg }).notify();
const minorVersion = (0, utils_1.getSpfxMinorVersion)();
if (minorVersion < 17) {
    Logger_1.logger.warning(chalk_1.default.yellowBright(`Your SPFx version 1.${minorVersion} is not supported. For SPFx < 1.17 use spfx-fast-serve@3.x. More info https://github.com/s-KaiNet/spfx-fast-serve#which-sharepoint-framework-versions-are-supported`));
    process.exit(1);
}
const pipeline = new commands_1.Pipeline(new commands_1.PatchGulpFile(), new commands_1.PatchPackageJson(), new commands_1.Install());
(() => __awaiter(void 0, void 0, void 0, function* () {
    yield pipeline.execute();
}))();
//# sourceMappingURL=index.js.map